Skip to content
Start here

Generate summary of Transcripts for the session

client.realtimeKit.sessions.generateSummaryOfTranscripts(stringappId, stringsessionId, SessionGenerateSummaryOfTranscriptsParams { account_id } params, RequestOptionsoptions?): SessionGenerateSummaryOfTranscriptsResponse { data, success }
POST/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}/summary

Trigger Summary generation of Transcripts for the session ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appId: string

The app identifier tag.

maxLength32
sessionId: string
formatuuid
params: SessionGenerateSummaryOfTranscriptsParams { account_id }
account_id: string

The account identifier tag.

maxLength32
ReturnsExpand Collapse
SessionGenerateSummaryOfTranscriptsResponse { data, success }
data?: Data { session_id, status }
session_id?: string
formatuuid
status?: string
success?: boolean

Generate summary of Transcripts for the session

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.realtimeKit.sessions.generateSummaryOfTranscripts(
  'app_id',
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(response.data);
{
  "data": {
    "session_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "status": "status"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "session_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "status": "status"
  },
  "success": true
}